Skip to content

NonAccountNameService⁠

Manage non-account name records.

Operations⁠

getNonAcctNameSelectFields⁠

POST

Retrieves a non-account name with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

NonAcctNameNonAcctNameNumstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/nonaccountname/getNonAcctNameSelectFields
POST /nexum/627/persistent/nonaccountname/getNonAcctNameSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "NonAcctNameNonAcctNameNum": "0",
  "SelectableFields": {
    "IncludeAllNonAcctNameFields": true
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getNonAcctNameSelectFieldsFilterChildren⁠

POST

Retrieves a non-account name with selected fields and filtered children.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

NonAcctNameNonAcctNameNumstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/nonaccountname/getNonAcctNameSelectFieldsFilterChildren
POST /nexum/627/persistent/nonaccountname/getNonAcctNameSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "NonAcctNameNonAcctNameNum": "0",
  "SelectableFields": {
    "IncludeAllNonAcctNameFields": true
  },
  "ChildrenSearchFilter": {
    "NonAcctNameFmHistoryFilter": {
      "StartPostDate": "2026-01-01",
      "EndPostDate": "2026-01-01",
      "Query": "string"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getNonAcctNameFmHistoryPagedListSelectFields⁠

POST

Retrieves a paged list of non-account names with selected fields from history.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

NonAcctNameNonAcctNameNumstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/nonaccountname/getNonAcctNameFmHistoryPagedListSelectFields
POST /nexum/627/persistent/nonaccountname/getNonAcctNameFmHistoryPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "NonAcctNameNonAcctNameNum": "0",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "REPLACE_WITH_YOUR_TOKEN"
  },
  "SelectableFields": {
    "IncludeAllNonAcctNameFmHistoryFields": true
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

searchNonAcctNameFmHistoryPagedSelectFields⁠

POST

Searches non-account names from history with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

NonAcctNameNonAcctNameNumstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/nonaccountname/searchNonAcctNameFmHistoryPagedSelectFields
POST /nexum/627/persistent/nonaccountname/searchNonAcctNameFmHistoryPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "NonAcctNameNonAcctNameNum": "0",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "REPLACE_WITH_YOUR_TOKEN"
  },
  "SelectableFields": {
    "IncludeAllNonAcctNameFmHistoryFields": true
  },
  "SearchFilter": {
    "StartPostDate": "2026-01-01",
    "EndPostDate": "2026-01-01",
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateNonAcctNameByID⁠

POST

Updates a non-account name by its ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

NonAcctNameNonAcctNameNumstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/nonaccountname/updateNonAcctNameByID
POST /nexum/627/persistent/nonaccountname/updateNonAcctNameByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "NonAcctNameNonAcctNameNum": "string",
  "NonAcctNameFields": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createNonAcctName⁠

POST

Creates a non-account name.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
NonAcctNameNonAcctNameNumstringoptional
POST/nexum/{sym}/persistent/nonaccountname/createNonAcctName
POST /nexum/627/persistent/nonaccountname/createNonAcctName HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "NonAcctNameFields": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}